Description

Avendo cambiato la il caricamento della lista utenti da dom a ajax, la selezione per il mass edit della lista utenti non e' piu'

persistente al cambio pagina, in quanto via ajax viene ricreato un nuovo dom della tabella, che contiene i dati di selezione.

Associated revisions

Revision 44348d6c - 06/15/2017 10:33 AM - Mark Caglienzi

Persist the selected users, in a javascript array for the moment. refs: #288

Revision d41758d4 - 06/15/2017 10:45 AM - Mark Caglienzi
Use a Set(). refs: #288

Revision 426ee0fc - 06/15/2017 11:14 AM - Mark Caglienzi

Get all users in the current page. refs: #288

Revision f3f3068d - 06/15/2017 11:34 AM - Mark Caglienzi

Persist also row selection between page changes. refs: #288

Revision 6c6bc1fb - 06/15/2017 12:26 PM - Mark Caglienzi

Cleanup and manage the button. refs: #288

History

#1 - 06/14/2017 04:27 PM - Mark Caglienzi

- Status changed from Nuovo to In elaborazione
#2 - 06/15/2017 12:36 PM - Mark Caglienzi

- Status changed from In elaborazione to Commenti

- Assignee changed from Mark Caglienzi to Christopher R. Gabriel

1b53ae29:

e Selezione resa persistente agganciandomi all'evento draw.dt di datatables
¢ Funziona anche la selezione delle righe (inteso con il cambio di colore di sfondo) al cambio di pagina, compresa la deselezione

Mergiato in master e pushato

#3 - 06/16/2017 03:20 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso
https://work.fuss.bz.it/projects/octonet/repository/23/revisions/1b53ae29cb1e0e8da95bafc71b4ed195f2be97d8

Ok, verificato, chiudo.
